%define		realname   fontconfig
Summary:	Font configuration and customization tools - cross MinGW32 versoin
Summary(pl.UTF-8):	Narzędzia do konfigurowania fontów - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.11.0
Release:	2
License:	MIT
Group:		Development/Libraries
Source0:	http://fontconfig.org/release/%{realname}-%{version}.tar.bz2
# Source0-md5:	000bd4baf7aefa828e03414d0c8c7dc5
Patch0:		%{realname}-bitstream-cyberbit.patch
URL:		http://fontconfig.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.11
BuildRequires:	crossmingw32-expat
BuildRequires:	crossmingw32-freetype >= 2.1.5
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	sed >= 4.0
Requires:	crossmingw32-expat
Requires:	crossmingw32-freetype >= 2.1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
Fontconfig is designed to locate fonts within the system and select
them according to requirements specified by applications.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Fontconfig jest biblioteką przeznaczoną do lokalizowania fontów w
systemie i wybierania ich w zależności od potrzeb aplikacji.

Paket ten zawiera wersję skrośną dla Win32.

%package static
Summary:	Static freetype library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka freetype (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static freetype library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka freetype (wersja skrośna MinGW32).

%package dll
Summary:	DLL freetype library for Windows
Summary(pl.UTF-8):	Biblioteka DLL freetype dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-expat-dll
Requires:	crossmingw32-freetype-dll >= 2.1.5
Requires:	wine

%description dll
DLL freetype library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL freetype dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

# uses POSIX-specific dirent interfaces
%{__sed} -i -e 's/test-migration//' test/Makefile.am

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--target=%{target} \
	--host=%{target} \
	--with-arch=%{target} \
	--with-freetype-config="pkg-config freetype2" \
	--disable-docs \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

# runtime
%{__rm} -r $RPM_BUILD_ROOT/etc/fonts \
	$RPM_BUILD_ROOT%{_datadir}/{fontconfig,xml/fontconfig}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libfontconfig.dll.a
%{_libdir}/libfontconfig.la
%{_libdir}/fontconfig.def
%dir %{_includedir}/fontconfig
%{_includedir}/fontconfig/*.h
%{_pkgconfigdir}/fontconfig.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfontconfig.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libfontconfig-*.dll
%changelog
* Wed Nov 13 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-fontconfig.git;a=log;h=master

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 8743ad5
- release 2 (libpng 1.6 rebuild)

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> c77e5fc
- updated to 2.11.0

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 3f5b546
- updated to 2.10.95

* Wed May 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 1e50c01
- updated to 2.10.93

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> f205dcd
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 20a217a
- do not provide pkgconfig deps in system namespace

* Sun Mar 31 2013 Jakub Bogusz <qboosh@pld-linux.org> 5efa4a1
- updated to 2.10.92
- removed obsolete mkstemp patch

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 3498408
- updated to 2.10.91 (required by new stable pango)
- added mkstemp patch (fixes build on mingw32 due to missing mkstemp-like interfaces

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> c839221
- added filterout_c for -f* options

* Thu Nov 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 63eafe2
- updated to 2.10.2

* Tue Aug 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 79c6638
- updated to 2.10.1

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 6749a5a
- updated to 2.9.0
- use pkg-config as freetype-config (original one is not packaged in our mingw32 package)

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 770b388
- unified MinGW32 caps

* Mon Mar 22 2010 Jakub Bogusz <qboosh@pld-linux.org> 4dd4b19
- updated to 2.8.0

* Tue Jun 10 2008 Jakub Bogusz <qboosh@pld-linux.org> f85c068
- updated to 2.6.0

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 5dbd50b
- force %{_lib}-independent libdir

* Fri Nov 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 210c62f
- updated to 2.5.0

* Sat Oct 20 2007 wolf <wolf@pld-linux.org> 1ba03cb
- make -j1 install

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> c16afa7
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

* Tue Jul 03 2007 Łukasz Krotowski <lkrotowski@pld-linux.org> cd53326
- removed obsolete --with bytecode

